[
  {
    "requiredFiles": [
      "../_base/grabdatas_.json"
    ]
  },

  {
    "uid": "assist2_h_hr_kiss",
    "name": "Kiss (2v1 Assist)",
    "inherits": "TEASE_BASE",
    "victim": {
      "animId": "h_hr_kiss_v",
      "position": "STAND"
    },
    "attackers": [
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "animId": "h_hr_kiss_a",
        "attacks": [
          { "target": "MOUTH", "with": "MOUTH" }
        ],
        "ikTargets": [
          {
            "chainId": "arm_chain_L",
            "targetBone": "shoulder_R",
            "keyframes": [ { "timeRatio": 0.0 } ]
          },
          {
            "chainId": "arm_chain_R",
            "targetBone": "torso",
            "keyframes": [ { "timeRatio": 0.0 } ]
          }
        ],
        "flipDirection": true
      }
    ]
  },

  {
    "uid": "assist2_h_hr_climb_kiss",
    "name": "Climb Kiss (2v1 Assist)",
    "inherits": "TEASE_BASE",
    "victim": {
      "animId": "h_hr_climb_kiss_v",
      "position": "STAND"
    },
    "attackers": [
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "animId": "h_hr_climb_kiss_a",
        "attacks": [
          { "target": "MOUTH", "with": "MOUTH" }
        ],
        "ikTargets": [
          {
            "chainId": "body_chain",
            "chainPivotBoneOverride": "neck",
            "targetBone": "neck"
          },
          {
            "chainId": "head_chain",
            "targetBone": "head"
          },
          {
            "chainId": "arm_chain_L",
            "targetBone": "shoulder_R",
            "keyframes": [ { "timeRatio": 0.0 } ]
          },
          {
            "chainId": "arm_chain_R",
            "targetBone": "shoulder_L",
            "keyframes": [ { "timeRatio": 0.0 } ]
          }
        ],
        "flipDirection": true
      }
    ]
  },

  {
    "uid": "assist2_hm_hrt_stand_penis_fondle",
    "name": "Stand Fondle (2v1 Assist)",
    "inherits": "PLEASURE_BASE",
    "victim": {
      "animId": "hm_hrt_stand_penis_fondle_v",
      "position": "STAND"
    },
    "attackers": [
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "animId": "hm_hrt_stand_penis_fondle_a",
        "attacks": [
          { "target": "PENIS", "with": "LIMB" }
        ],
        "ikTargets": [
          {
            "chainId": "arm_chain_L",
            "targetBone": "penis"
          },
          {
            "chainId": "arm_chain_R",
            "targetBone": "shoulder_R"
          }
        ],
        "camera": { "firstPersonViewOverride": true }
      }
    ]
  },

  {
    "uid": "assist2_h_hr_finger_bottom",
    "name": "Finger Bottom (2v1 Assist)",
    "inherits": "PLEASURE_BASE",
    "victim": {
      "animId": "h_hr_finger_bottom_v",
      "position": "LYING_BACK"
    },
    "attackers": [
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "animId": "h_hr_finger_bottom_a",
        "attacks": [
          { "target": "VAGINA", "with": "LIMB" }
        ],
        "ikTargets": [
          {
            "chainId": "arm_chain_R",
            "targetBone": "hand_L",
            "keyframes": [ { "timeRatio": 0.0 } ]
          },
          {
            "chainId": "arm_chain_L",
            "targetBone": "pussy_target"
          }
        ],
        "flipDirection": true
      }
    ]
  },

  {
    "uid": "assist2_h_hr_licks_downed",
    "name": "Lick Downed (2v1 Assist)",
    "inherits": "PLEASURE_BASE",
    "victim": {
      "animId": "h_hr_licks_downed_v",
      "position": "LYING_BACK"
    },
    "attackers": [
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "animId": "h_hr_licks_downed_a",
        "attacks": [
          { "target": "VAGINA", "with": "MOUTH" }
        ],
        "ikTargets": [
          {
            "chainId": "body_chain",
            "chainPivotBoneOverride": "head",
            "targetBone": "pussy_target"
          },
          {
            "chainId": "arm_chain_L",
            "targetBone": "leg_R",
            "keyframes": [ { "timeRatio": 0.0 } ]
          },
          {
            "chainId": "arm_chain_R",
            "targetBone": "leg_L",
            "keyframes": [ { "timeRatio": 0.0 } ]
          },
          {
            "chainId": "leg_chain_L",
            "targetBone": "root",
            "keyframes": [ { "timeRatio": 0.0 } ]
          },
          {
            "chainId": "leg_chain_R",
            "targetBone": "root",
            "keyframes": [ { "timeRatio": 0.0 } ]
          }
        ],
        "flipDirection": true
      }
    ]
  },

  {
    "uid": "assist2_h_hr_scissor",
    "name": "Scissor (2v1 Assist)",
    "inherits": "FINISHER_BASE",
    "victim": {
      "animId": "h_hr_scissor_v",
      "position": "LYING_BACK"
    },
    "attackers": [
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "animId": "h_hr_scissor_a",
        "attacks": [
          { "target": "VAGINA", "with": "VAGINA" }
        ],
        "flipDirection": true,
        "camera": { "firstPersonViewOverride": true }
      }
    ]
  },

  {
    "uid": "assist2_h_hr_downed_finger",
    "name": "Downed Finger (2v1 Assist)",
    "inherits": "PLEASURE_BASE",
    "victim": {
      "animId": "h_hr_downed_finger_v",
      "position": "ON_BACK_LEG_IN_AIR"
    },
    "attackers": [
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "animId": "h_hr_downed_finger_a",
        "attacks": [
          { "target": "VAGINA", "with": "LIMB" }
        ],
        "ikTargets": [
          {
            "chainId": "arm_chain_L",
            "targetBone": "arm_L",
            "keyframes": [ { "timeRatio": 0.0 } ]
          },
          {
            "chainId": "arm_chain_R",
            "targetBone": "pussy_target"
          }
        ],
        "flipDirection": true,
        "camera": { "firstPersonViewOverride": true }
      }
    ]
  },

  {
    "uid": "assist2_h_hr_downward_scissors",
    "name": "Downward Scissors (2v1 Assist)",
    "inherits": "FINISHER_BASE",
    "victim": {
      "animId": "h_hr_downward_scissors_v",
      "position": "ON_BACK_LEG_IN_AIR"
    },
    "attackers": [
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "animId": "h_hr_downward_scissors_a",
        "attacks": [
          { "target": "VAGINA", "with": "VAGINA" }
        ],
        "ikTargets": [
          {
            "chainId": "waist_chain",
            "chainPivotBoneOverride": "waist",
            "chainPivotShiftTowardsBoneTailBy": 0.174,
            "targetBone": "pussy_target"
          },
          {
            "chainId": "leg_chain_L",
            "targetBone": "root",
            "keyframes": [ { "timeRatio": 0.0 } ]
          },
          {
            "chainId": "leg_chain_R",
            "targetBone": "root",
            "keyframes": [ { "timeRatio": 0.0 } ]
          },
          {
            "chainId": "arm_chain_R",
            "targetBone": "leg_L"
          },
          {
            "chainId": "arm_chain_L",
            "targetBone": "leg_R"
          }
        ],
        "flipDirection": true,
        "camera": { "firstPersonViewOverride": true }
      }
    ]
  },

  {
    "uid": "assist2_humil_hr_facesit",
    "name": "Facesit (2v1 Assist)",
    "inherits": "TEASE_BASE",
    "victim": {
      "animId": "humil_hr_facesit_v",
      "position": "ON_BACK_LEG_IN_AIR"
    },
    "attackers": [
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "animId": "humil_hr_facesit_a",
        "attacks": [
          { "target": "MOUTH", "with": "VAGINA" }
        ],
        "flipDirection": true,
        "ikTargets": [
          {
            "chainId": "waist_chain",
            "chainPivotBoneOverride": "waist",
            "chainPivotShiftTowardsBoneTailBy": 0.174,
            "targetBone": "head"
          },
          {
            "chainId": "leg_chain_L",
            "targetBone": "root",
            "keyframes": [ { "timeRatio": 0.0 } ]
          },
          {
            "chainId": "leg_chain_R",
            "targetBone": "root",
            "keyframes": [ { "timeRatio": 0.0 } ]
          }
        ],
        "camera": { "firstPersonViewOverride": true }
      }
    ]
  },

  {
    "uid": "assist3_h_hr_kiss",
    "name": "Kiss (3v1 Assist)",
    "inherits": "TEASE_BASE",
    "victim": {
      "animId": "h_hr_kiss_v",
      "position": "STAND"
    },
    "attackers": [
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "animId": "h_hr_kiss_a",
        "attacks": [
          { "target": "MOUTH", "with": "MOUTH" }
        ],
        "ikTargets": [
          {
            "chainId": "arm_chain_L",
            "targetBone": "shoulder_R",
            "keyframes": [ { "timeRatio": 0.0 } ]
          },
          {
            "chainId": "arm_chain_R",
            "targetBone": "torso",
            "keyframes": [ { "timeRatio": 0.0 } ]
          }
        ],
        "flipDirection": true
      }
    ]
  },

  {
    "uid": "assist3_h_hr_finger_bottom",
    "name": "Finger Bottom (3v1 Assist)",
    "inherits": "PLEASURE_BASE",
    "victim": {
      "animId": "h_hr_finger_bottom_v",
      "position": "LYING_BACK"
    },
    "attackers": [
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "animId": "h_hr_finger_bottom_a",
        "attacks": [
          { "target": "VAGINA", "with": "LIMB" }
        ],
        "ikTargets": [
          {
            "chainId": "arm_chain_R",
            "targetBone": "hand_L",
            "keyframes": [ { "timeRatio": 0.0 } ]
          },
          {
            "chainId": "arm_chain_L",
            "targetBone": "pussy_target"
          }
        ],
        "flipDirection": true
      }
    ]
  },

  {
    "uid": "assist3_h_hr_downed_finger",
    "name": "Downed Finger (3v1 Assist)",
    "inherits": "PLEASURE_BASE",
    "victim": {
      "animId": "h_hr_downed_finger_v",
      "position": "ON_BACK_LEG_IN_AIR"
    },
    "attackers": [
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "anim": { "animId": "restraint3_holding_a" }
      },
      {
        "animId": "h_hr_downed_finger_a",
        "attacks": [
          { "target": "VAGINA", "with": "LIMB" }
        ],
        "ikTargets": [
          {
            "chainId": "arm_chain_L",
            "targetBone": "arm_L",
            "keyframes": [ { "timeRatio": 0.0 } ]
          },
          {
            "chainId": "arm_chain_R",
            "targetBone": "pussy_target"
          }
        ],
        "flipDirection": true,
        "camera": { "firstPersonViewOverride": true }
      }
    ]
  }
]
